Bug 741149 - [abrt] file-roller-3.0.2-1.fc15: gtk_app_chooser_refresh: Process /usr/bin/file-roller was killed by signal 11 (SIGSEGV)
Summary: [abrt] file-roller-3.0.2-1.fc15: gtk_app_chooser_refresh: Process /usr/bin/fi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:99781fdd3c1068f71da41777866...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 01:54 UTC by g_harika
Modified: 2012-08-07 17:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:14:57 UTC


Attachments (Terms of Use)
File: maps (29.02 KB, text/plain)
2011-09-26 01:54 UTC, g_harika
no flags Details

Description g_harika 2011-09-26 01:54:28 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        file-roller /home/ChristmasMorning/Downloads/praat5244_linux64.tar.gz
comment:                               
component:      file-roller
crash_function: gtk_app_chooser_refresh
executable:     /usr/bin/file-roller
kernel:         2.6.40.4-5.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        file-roller-3.0.2-1.fc15
reason:         Process /usr/bin/file-roller was killed by signal 11 (SIGSEGV)
time:           Sun Sep 25 18:08:07 2011
uid:            500
username:       ChristmasMorning
xsession_errors: (file-roller:4663): GLib-GObject-WARNING **: gtype.c:3107: invalid class pointer `0x13f4010'

maps:           Text file, 29716 bytes

backtrace:
:[New LWP 4663]
:[New LWP 4666]
:[New LWP 4665]
:[Thread debugging using libthread_db enabled]
:Core was generated by `file-roller /home/ChristmasMorning/Downloads/praat5244_linux64.tar.gz'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x000000395e278897 in gtk_app_chooser_refresh (self=0x14f0c90) at gtkappchooser.c:119
:119	gtkappchooser.c: No such file or directory.
:	in gtkappchooser.c
:
:Thread 3 (Thread 0x7f941ca2c700 (LWP 4665)):
:#0  0x0000003e1ced7423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003e1ea42d24 in g_main_context_poll (n_fds=1, fds=0x7f9418001170, priority=<optimized out>, timeout=-1, context=0x13f1e20) at gmain.c:3405
:        poll_func = 0x3e1ea51310 <g_poll>
:#2  g_main_context_iterate (context=0x13f1e20, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x7f9418001170
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003e1ea4360d in g_main_loop_run (loop=0x7f9418001150) at gmain.c:3300
:        self = 0x1437480
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x00007f941ca31b6b in dconf_context_thread (data=0x13f1e20) at dconfcontext.c:11
:        context = 0x13f1e20
:        loop = <optimized out>
:        __PRETTY_FUNCTION__ = "dconf_context_thread"
:#5  0x0000003e1ea683a6 in g_thread_create_proxy (data=0x1437480) at gthread.c:1955
:        thread = 0x1437480
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003e1d207b31 in start_thread (arg=0x7f941ca2c700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f941ca2c700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 4096466786659658281, 140736368705536, 140274112317888, 0, 3, -4039258739228218839, 4081854000837356073}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x0000003e1cedfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 2 (Thread 0x7f9417fff700 (LWP 4666)):
:#0  0x0000003e1ced7423 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003e1ea42d24 in g_main_context_poll (n_fds=3, fds=0x7f9410001150, priority=<optimized out>, timeout=-1, context=0x7f941800dc30) at gmain.c:3405
:        poll_func = 0x3e1ea51310 <g_poll>
:#2  g_main_context_iterate (context=0x7f941800dc30, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = 0x7f9410001150
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003e1ea4360d in g_main_loop_run (loop=0x7f941800dc10) at gmain.c:3300
:        self = 0x7f941800dd20
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x0000003e202b4564 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#5  0x0000003e1ea683a6 in g_thread_create_proxy (data=0x7f941800dd20) at gthread.c:1955
:        thread = 0x7f941800dd20
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003e1d207b31 in start_thread (arg=0x7f9417fff700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f9417fff700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 4096466786659658281, 140274112313472, 140274034538944, 0, 3, -4039239404896064983, 4081854000837356073}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x0000003e1cedfd2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7f9423ed4940 (LWP 4663)):
:#0  0x000000395e278897 in gtk_app_chooser_refresh (self=0x14f0c90) at gtkappchooser.c:119
:No locals.
:#1  0x000000395e27cd3d in search_for_mimetype_ready_cb (source=0x17f3c00 [GtkAppChooserOnlinePk], res=0x183c460, user_data=0x17563e0) at gtkappchooserdialog.c:136
:        online = 0x17f3c00
:        self = 0x17563e0
:        error = 0x0
:#2  0x000000395e4909ed in install_mime_types_ready_cb (source=<optimized out>, res=<optimized out>, user_data=0x17f3c00) at gtkappchooseronlinepk.c:120
:        self = 0x17f3c00 [GtkAppChooserOnlinePk]
:        proxy = <optimized out>
:        error = 0x18d8820
:        variant = <optimized out>
:#3  0x0000003e202b1145 in reply_cb (connection=<optimized out>, res=<optimized out>, user_data=0x183c980) at gdbusproxy.c:2159
:        simple = 0x183c980 [GSimpleAsyncResult]
:        value = <optimized out>
:        error = 0x18d8820
:#4  0x0000003e202a7494 in g_dbus_connection_call_done (source=<optimized out>, result=<optimized out>, user_data=0x17f18c0) at gdbusconnection.c:5023
:        connection = <optimized out>
:        state = 0x17f18c0
:        error = 0x18d8820
:        reply = 0x17d29e0 [GDBusMessage]
:        value = <optimized out>
:#5  0x0000003e20264d99 in complete_in_idle_cb (data=<optimized out>) at gsimpleasyncresult.c:757
:        simple = <optimized out>
:#6  0x0000003e1ea427ed in g_main_dispatch (context=0x13728f0) at gmain.c:2441
:        dispatch = 0x3e1ea3e750 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x17ae1e0
:        callback = 0x3e20264d90 <complete_in_idle_cb>
:        cb_funcs = 0x3e1ed15c50
:        cb_data = 0x7f9410002ee0
:        current_source_link = {data = 0x7f9410002e10, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x7f9410002e10
:        current = 0x13e6d40
:        i = <optimized out>
:#7  g_main_context_dispatch (context=0x13728f0) at gmain.c:3014
:No locals.
:#8  0x0000003e1ea42fc8 in g_main_context_iterate (context=0x13728f0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = 1
:        nfds = 5
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#9  0x0000003e1ea4360d in g_main_loop_run (loop=0x1348230) at gmain.c:3300
:        self = 0x134c610
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#10 0x000000395e34736d in gtk_main () at gtkmain.c:1358
:        loop = 0x1348230
:#11 0x0000000000411129 in main (argc=1, argv=0x7fffbd4387d8) at main.c:322
:        context = 0x13480a0
:        error = 0x0
:        client = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x000000395e266360  0x000000395e4ac99c  Yes         /usr/lib64/libgtk-3.so.0
:0x000000395ea196f0  0x000000395ea595ac  Yes         /usr/lib64/libgdk-3.so.0
:0x0000003e256097b0  0x0000003e256156bc  Yes         /usr/lib64/libatk-1.0.so.0
:0x0000003e202294a0  0x0000003e202d2b3c  Yes         /lib64/libgio-2.0.so.0
:0x000000387cc076f0  0x000000387cc2131c  Yes         /usr/lib64/libpangoft2-1.0.so.0
:0x000000387c404940  0x000000387c40935c  Yes         /usr/lib64/libpangocairo-1.0.so.0
:0x000000387c006290  0x000000387c019c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0
:0x000000387b804890  0x000000387b81eb8c  Yes         /usr/lib64/libpng12.so.0
:0x000000387f803340  0x000000387f80430c  Yes         /usr/lib64/libcairo-gobject.so.2
:0x000000387c80b170  0x000000387c882a9c  Yes         /usr/lib64/libcairo.so.2
:0x0000003e24a0ee20  0x0000003e24a2cb1c  Yes         /usr/lib64/libpango-1.0.so.0
:0x000000387b40c970  0x000000387b47391c  Yes         /usr/lib64/libfreetype.so.6
:0x000000387bc05d90  0x000000387bc1f7fc  Yes         /usr/lib64/libfontconfig.so.1
:0x0000003e1fa09970  0x0000003e1fa39dcc  Yes         /lib64/libgobject-2.0.so.0
:0x0000003e1fe00fe0  0x0000003e1fe01f8c  Yes         /lib64/libgmodule-2.0.so.0
:0x0000003e1f201560  0x0000003e1f202a2c  Yes         /lib64/libgthread-2.0.so.0
:0x0000003e1de02160  0x0000003e1de053ec  Yes         /lib64/librt.so.1
:0x0000003e1ea16cd0  0x0000003e1eaadbec  Yes         /lib64/libglib-2.0.so.0
:0x0000003e1d603ea0  0x0000003e1d643e9c  Yes         /lib64/libm.so.6
:0x0000003e1d205660  0x0000003e1d2103cc  Yes         /lib64/libpthread.so.0
:0x0000003e1ce1ece0  0x0000003e1cf4338c  Yes         /lib64/libc.so.6
:0x0000003e20a1dce0  0x0000003e20aa97ec  Yes         /usr/lib64/libX11.so.6
:0x0000003e22a013e0  0x0000003e22a0450c  Yes         /usr/lib64/libXfixes.so.3
:0x0000003e21603460  0x0000003e2160e31c  Yes         /usr/lib64/libXext.so.6
:0x0000003e23600a00  0x0000003e2360148c  Yes         /usr/lib64/libXinerama.so.1
:0x000000395de01f00  0x000000395de0c6dc  Yes         /usr/lib64/libXi.so.6
:0x0000003e23a01720  0x0000003e23a0675c  Yes         /usr/lib64/libXrandr.so.2
:0x0000003e23e028d0  0x0000003e23e0749c  Yes         /usr/lib64/libXcursor.so.1
:0x0000003e25200b30  0x0000003e2520189c  Yes         /usr/lib64/libXcomposite.so.1
:0x0000003e24600a90  0x0000003e2460160c  Yes         /usr/lib64/libXdamage.so.1
:0x0000003e1da00de0  0x0000003e1da0191c  Yes         /lib64/libdl.so.2
:0x0000003e1f603840  0x0000003e1f61353c  Yes         /lib64/libresolv.so.2
:0x0000003e1e201e70  0x0000003e1e20e67c  Yes         /lib64/libz.so.1
:0x0000003e1ee05980  0x0000003e1ee159dc  Yes         /lib64/libselinux.so.1
:0x0000003e24e07e10  0x0000003e24e5c0ac  Yes         /usr/lib64/libpixman-1.so.0
:0x0000003e22e01910  0x0000003e22e0810c  Yes         /usr/lib64/libXrender.so.1
:0x0000003e21203b70  0x0000003e2121d84c  Yes         /lib64/libexpat.so.1
:0x0000003e1ca00b20  0x0000003e1ca18cca  Yes         /lib64/ld-linux-x86-64.so.2
:0x0000003e20608660  0x0000003e20613b9c  Yes         /usr/lib64/libxcb.so.1
:0x0000003e1e6028a0  0x0000003e1e6120cc  Yes         /lib64/libgcc_s.so.1
:0x0000003e20e00dd0  0x0000003e20e01b2c  Yes         /usr/lib64/libXau.so.6
:0x00007f941d887170  0x00007f941d88e8ac  Yes         /lib64/libnss_files.so.2
:0x00007f941d67f800  0x00007f941d6839ac  Yes         /usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so
:0x00007f941d47bb40  0x00007f941d47bfcc  Yes         /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
:0x0000003960608100  0x000000396062be2c  Yes         /usr/lib64/librsvg-2.so.2
:0x0000003e33e0b6e0  0x0000003e33e2a04c  Yes         /usr/lib64/libcroco-0.6.so.3
:0x0000003e27e2c960  0x0000003e27f1007c  Yes         /usr/lib64/libxml2.so.2
:0x00007f941d279690  0x00007f941d279e8c  Yes         /usr/lib64/gtk-3.0/modules/libpk-gtk-module.so
:0x0000003e2960a400  0x0000003e2961c51c  Yes         /usr/lib64/libdbus-glib-1.so.2
:0x0000003e262076f0  0x0000003e2623051c  Yes         /lib64/libdbus-1.so.3
:0x00007f941d074f80  0x00007f941d076ecc  Yes         /usr/lib64/gtk-3.0/modules/libcanberra-gtk-module.so
:0x0000003960e01c20  0x0000003960e0302c  Yes         /usr/lib64/libcanberra-gtk3.so.0
:0x00000038840032a0  0x000000388400c41c  Yes         /usr/lib64/libcanberra.so.0
:0x0000003e31601fa0  0x0000003e3160611c  Yes         /usr/lib64/libvorbisfile.so.3
:0x0000003e2ee03700  0x0000003e2ee1a6ac  Yes         /usr/lib64/libvorbis.so.0
:0x0000003e2e6018d0  0x0000003e2e603f7c  Yes         /usr/lib64/libogg.so.0
:0x0000003883402350  0x000000388340b7dc  Yes         /usr/lib64/libtdb.so.1
:0x0000003e2f202360  0x0000003e2f20669c  Yes         /usr/lib64/libltdl.so.7
:0x000000387e000c10  0x000000387e005afc  Yes         /lib64/libcrypt.so.1
:0x000000387e403170  0x000000387e4417bc  Yes         /lib64/libfreebl3.so
:0x00007f941ce62c00  0x00007f941ce6ecdc  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
:0x00000036e3c09210  0x00000036e3c132ec  Yes         /usr/lib64/libgvfscommon.so.0
:0x0000003564e00e10  0x0000003564e0168c  Yes         /lib64/libutil.so.1
:0x00007f941cc3dab0  0x00007f941cc566ac  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
:0x0000003a42e02e60  0x0000003a42e0acec  Yes         /lib64/libudev.so.0
:0x00007f941ca2f900  0x00007f941ca32eac  Yes         /usr/lib64/gio/modules/libdconfsettings.so
:$1 = 0x0
:$2 = 0x0
:rax            0x0	0
:rbx            0x14f0c90	21957776
:rcx            0x7f9423ed4940	140274234640704
:rdx            0x3e1d4162c0	266778796736
:rsi            0x0	0
:rdi            0x14f0c90	21957776
:rbp            0x17f3c00	0x17f3c00
:rsp            0x7fffbd4384c0	0x7fffbd4384c0
:r8             0x15dd8f0	22927600
:r9             0x1	1
:r10            0x1	1
:r11            0x0	0
:r12            0x183c460	25412704
:r13            0x13e6d40	20868416
:r14            0x3e1ed15c50	266805009488
:r15            0x13728f0	20392176
:rip            0x395e278897	0x395e278897 <gtk_app_chooser_refresh+23>
:eflags         0x10206	[ PF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function gtk_app_chooser_refresh:
:   0x000000395e278880 <+0>:	push   %rbx
:   0x000000395e278881 <+1>:	mov    %rdi,%rbx
:   0x000000395e278884 <+4>:	callq  0x395e278720 <gtk_app_chooser_get_type>
:   0x000000395e278889 <+9>:	mov    (%rbx),%rdi
:   0x000000395e27888c <+12>:	mov    %rax,%rsi
:   0x000000395e27888f <+15>:	callq  0x395e25fdc8 <g_type_interface_peek@plt>
:   0x000000395e278894 <+20>:	mov    %rbx,%rdi
:=> 0x000000395e278897 <+23>:	mov    0x18(%rax),%rax
:   0x000000395e27889b <+27>:	pop    %rbx
:   0x000000395e27889c <+28>:	jmpq   *%rax
:End of assembler dump.

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:99ee89e044ca684ea0a0c6b52245d25394ae7202
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:08bad10bf66ebe542324b597d6ee310019929249
:189c7475c0490584f314acd7377d00adc0fc2b1a
:230660e7b50046ace97b7c95c235375fdc1e2a07
:1916190a2901d92261cb9eccc802f5e31506a7ae
:d5184bb4d089a0d534a89f0d73d774139b77662e
:46caf50b7b8405049cc76b9d88092acce249ec89
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:48a644702c281103038c668c89846f89446e211b
:9cd020ec2107c08febe2c8fcabd158212c207854
:a1920333deacdc9917d324ec2eda595e12d29e2e
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:1e49d90ad8b056f23bfcb1112c138b3074cd91a8
:2c5b60b2c0c44e40c45b22e8ea71a8836fbe9344
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:90fe13fac734263f663981ce4d1691cf926ced25
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dcaa3f91ad5f850b865c9d8347b35e37c8345cec
:fdc09328fea3e060c8a504a8291555b4cd19172a
:264bfd9d45950be27417615f22a11928f979af89
:d5e5de8d7cfbc499609006ad34df6ec306ae59d6
:1d87720659528ad80e8870da2b2bb4af4470cf66
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:886e076a93ae3bc92fb15c6e575d3ed17259d687
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:3efa90a1dfea76e986419cc678c07b368c6afde2
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:8aa6d8a56d611f0b56c1475cbfeb0f4407048b1c
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:1406558950ff100eb0320a325b3ea7961ba1a775
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:d209b396f198879f49a4cce4bd445df16ab163b5
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

dso_list:
:/lib64/libcrypt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1315216617
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1315198662
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.0.2-1.fc15.x86_64 (Fedora Project) 1315206796
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1315198545
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.0-2.fc15.x86_64 (Fedora Project) 1315882937
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1315198379
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1315202771
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1315216610
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1315198554
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1315198364
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1315198379
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1315198378
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1315203301
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1315198432
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1315198380
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1315198379
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1315198627
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1315203309
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1315203903
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1315198528
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/usr/lib64/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1315198666
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1315220359
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/usr/lib64/libgdk-3.so.0.0.12 gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1315220363
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1315198773
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc15.x86_64 (Fedora Project) 1315198666
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1315198380
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1315198377
:/lib64/libutil-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1315216608
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1315198371
:/lib64/libudev.so.0.11.1 libudev-167-6.fc15.x86_64 (Fedora Project) 1316709438
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1315198377
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1315202771
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1315198374
:/usr/share/locale/en/LC_MESSAGES/gtk30-properties.mo gtk3-devel-3.0.12-1.fc15.x86_64 (Fedora Project) 1315220489
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1315198379
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1315198379
:/usr/bin/file-roller file-roller-3.0.2-1.fc15.x86_64 (Fedora Project) 1315220389
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1315198378
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1315198365
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.7.5-1.x86_64 (Fedora Project) 1315198568
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1315204145
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1315198662
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1315198378
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1315198379
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1315198773
:/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.17-1.fc15.x86_64 (Fedora Project) 1315203329
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-2.fc15.x86_64 (Fedora Project) 1315882917
:/usr/lib64/libgtk-3.so.0.0.12 gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1315220363
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1315202771
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1315202771
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1315198369
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1315198381
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1315198378
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1315198379
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1315198374
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1315203309
:/usr/lib64/librsvg-2.so.2.34.0 librsvg2-2.34.0-2.fc15.x86_64 (Fedora Project) 1315882937
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1315202771
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1315220363
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1315203309
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1315203293
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1315198367
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-3.fc15.x86_64 (Fedora Project) 1315198530
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1315198662
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1315198530

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-ChristmasMorning
:XDG_SESSION_ID=2
:HOSTNAME=ChristmasMorning
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=4663
:MM_NOTTTY=1
:GPG_AGENT_INFO=/tmp/keyring-BQOEnk/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=de3e3b02c1bb3b969297655900000023-1316970087.420731-1102360430
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/tmp/keyring-BQOEnk
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=ChristmasMorning
:LD_LIBRARY_PATH=/opt/google/chrome:/opt/google/chrome/lib
:SSH_AUTH_SOCK=/tmp/keyring-BQOEnk/ssh
:USERNAME=ChristmasMorning
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1514,unix/unix:/tmp/.ICE-unix/1514
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-file-roller.desktop
:MAIL=/var/spool/mail/ChristmasMorning
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ChristmasMorning/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ChristmasMorning
:SANDBOX_LD_LIBRARY_PATH=/opt/google/chrome:/opt/google/chrome/lib
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1506
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/ChristmasMorning
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:CHROME_WRAPPER=/opt/google/chrome/google-chrome
:LOGNAME=ChristmasMorning
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qsWcArMOOr,guid=95db266cfd2eabb1521b8bcc00000049
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:CHROME_VERSION_EXTRA=stable
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ChristmasMorning
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-ChristmasMorning-8mywEC/database
:_=/usr/bin/gvfs-open

var_log_messages:
:Sep 25 18:08:07 ChristmasMorning kernel: [18462.950708] file-roller[4663]: segfault at 18 ip 000000395e278897 sp 00007fffbd4384c0 error 4 in libgtk-3.so.0.0.12[395e200000+3fb000]
:Sep 25 18:08:07 ChristmasMorning abrt[4724]: saved core dump of pid 4663 (/usr/bin/file-roller) to /var/spool/abrt/ccpp-2011-09-25-18:08:07-4663.new/coredump (42299392 bytes)

Comment 1 g_harika 2011-09-26 01:54:31 UTC
Created attachment 524811 [details]
File: maps

Comment 2 xlu 2011-12-20 18:24:29 UTC
Package: file-roller-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Looking for application to open C source code file.

Comment 3 xlu 2011-12-20 18:25:53 UTC
Package: file-roller-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Looking for application to open C source code file.

Comment 4 xlu 2011-12-20 18:26:08 UTC
Package: file-roller-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Looking for application to open C source code file.

Comment 5 xlu 2011-12-20 18:26:23 UTC
Package: file-roller-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Looking for application to open C source code file.

Comment 6 xlu 2011-12-20 18:26:44 UTC
Package: file-roller-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Looking for application to open C source code file.

Comment 7 abrt-bot 2012-03-30 13:39:20 UTC
Backtrace analysis of bugs across components suggests the actual bug might be in component glib2 or gtk3 instead of component file-roller. You might want to inspect the backtrace from the bug listed below to find out the correct component.

Bug #699046 from component nautilus was found to be similar to this bug.

This comment is automatically generated.

Comment 8 Fedora End Of Life 2012-08-07 17:14:59 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.